> For the complete documentation index, see [llms.txt](https://api-docs.visadoc.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.visadoc.co/api-reference/token.md).

# Token

## Login and retrieve an authentication token

> Login and retrieve an authentication token\
> \<br />\<br />\
> \<b>Authentication:\</b> not required

```json
{"openapi":"3.0.0","info":{"title":"v3","version":"0.0.1"},"servers":[{"url":"https://api.visadoc.co/api:v3"}],"security":[],"paths":{"/token":{"post":{"operationId":"v3/token|POST","summary":"Login and retrieve an authentication token","description":"Login and retrieve an authentication token\n<br /><br />\n<b>Authentication:</b> not required","tags":["token"],"parameters":[],"responses":{"200":{"description":"Success!","content":{"application/json":{"schema":{"type":"object","properties":{"authToken":{"type":"string"},"expires_in":{"type":"string"}}}}}},"400":{"description":"Input Error. Check the request payload for issues."},"401":{"description":"Unauthorized"},"403":{"description":"Access denied. Additional privileges are needed access the requested resource."},"404":{"description":"Not Found. The requested resource does not exist."},"429":{"description":"Rate Limited. Too many requests."},"500":{"description":"Unexpected error"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","description":""},"password":{"type":"string","description":""},"expires_in":{"type":"integer","format":"int64","description":"","default":"2600000"}}}},"multipart/form-data":{"schema":{"type":"object","properties":{"email":{"type":"string","description":""},"password":{"type":"string","description":""},"expires_in":{"type":"integer","format":"int64","description":"","default":"2600000"}}}}}}}}}}
```
